Skip to content

API Checkout

  • Endpoint: POST /delSuffixStart4
  • Tags: Collection Service

Description

Note that the request address does not contain the interface description in brackets

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 30Merchant ID assigned by PayerMax.
bizTypestringYesmaxLength: 30According to the authority of the contracted collection service, you can inquire about the business, and Indian cross-border “IN_CB“, other regions spread”CUSTOMIZE“.
versionstringYesmaxLength: 5API version. Current value: 4.1.
orderIdstringYesmaxLength: 63Merchant order id, only includes a-z, A-Z, 0-9, . Different for each payment orderMerchant order number generation rules, upper and lower letters cannot be distinguished.For example, AAA and AAa are considered the same.
userIdstringYesmaxLength: 64User ID provided by merchant,It is necessary to ensure the uniqueness of each user ID.After the payment method is saved, the payment method will be recommended according to the userId.
subjectstringYesmaxLength: 256Subject of order, which will be shown on cashier system. Suggest to assign goods title. Note: Brazil wallet Pix cannot exceed 43 digits.
countryCodestringYesmaxLength: 10For Country Code, capital letters, If the country code passed does not match the currency, the cash register will be displayed in the region corresponding to the currency,except for India, it is required when specifying the payment method,Refer to 【Country & Region Codes】.
currencystringYesmaxLength: 3For Currency Code, capital letters, Refer to 【Country & Region Codes】 Must be consistent with countryCode, such as: Indian ‘IN’ corresponds to Indian Rupee ‘INR’.
totalAmountstringYesmaxLength: 12Payment amount. Two decimals within range [1, 100000000]. Note: Bahrain, Kuwait, Jordan, Omar,Tunisia, the local currency only supports two decimal places;See 【Risk control limit list】 In Indonesia, Taiwan (China), South Korea, Vietnam, Chile,Pakistan, Colombia, Japan, Iceland, Paraguay, the local currency does not support decimal amounts.
frontCallBackUrlstringYesmaxLength: 1024One of the two parameters of frontCallBackUrl and frontCallBackScheme must be filled in. Merchants can distinguish mobile or PC scenarios and use different formats of callback addresses. The redirect URL specified by the merchant, the user will be redirected to this address after completing the payment. Start with http/https.
frontCallBackSchemestringNomaxLength: 1024APP merchants are recommended to import frontCallBackScheme. When two callback addresses are passed in at the same time and the payment method is AlipayHK, the frontCallBackScheme address will be redirected first.
callbackUrlstringNoServer-side call-back notification URL.
descriptionstringNoOrder additional notes.
paymentDetailstringNoDefine payment method information, content is JSON format character {"paymentMethodType":"WELLET","targetOrg":"DANA","cardOrg":"""paymentTokenID":"322323287723232322","accountNo":"","email":""},If the paymenttype field is passed in, the country code is required, and the country code must match the currency code,Refer to 【Country & Region Codes】 The meanings of each field are as follows: paymentTokenID: When paying by card token, this field is required accountNo: Payment account. For some wallets and UPI payments, you can pass in account information in order parameters to shorten the payment process of users. email: For some payment methods in Egypt,It’s needed to collect user mailboxes when placing orders, merchants can choose to submit, skip the channel collection process, and shorten the path paymentMethodType: Payment method, when it is empty, pull all available payment methods, see 【Payment method list】 targetOrg: The target institution can be empty, if the target institution is specified, the payment method must also be specified. cardOrg:Card scheme. When the paymentMethodType is CARD, if it is empty, all supported card scheme will be displayed by default. For details, see【Payment Methods
userDetailstringNomaxLength: 512User information, the content is a JSON format string {"referralCode":"","name":"Victor Yang","email":"wwww@cybersource.com","phoneNumber":"","districtCode":"","citizenIdNo":"","deviceId":"","ip":"","postNo":""}, the specific content contains the following fields. The meanings of each field are as follows: referralCode:According to the needs of merchants, add recommended payment method dimensions, such as device ID, device fingerprint, etc., before using, please contact the docking staff name:The payer’s name is 5-45 characters. If the payment channel requires the user to fill in the name, the value will be taken by default for the user’s convenience payerLastName:The name of the payer. If the payment channel requires the user to fill in the name, this value will be taken by default for the convenience of the user. email:The payer’s email address. If the payment channel requires the user to fill in the email address, this value will be taken by default for the user’s convenience phoneNumber:The payer’s mobile number. If the payment channel requires the user to fill in the mobile number, this value will be taken by default for the user’s convenience districtCode:International area code of payer’s mobile phone citizenIdNo:the payer’s identification number. deviceId:Payer device identify ip:Payer device IP address postNo:The zip code of the payer’s address. If the payment channel requires the user to fill in the zip code, this value will be selected by default for the user’s convenience.
referencestringNomaxLength: 512Can be customized by merchants, feedback this field in the callback.
languagestringNomaxLength: 8Cashier page language.
showResultstringNomaxLength: 8Define whether to show PayerMax result page. 0 = no; 1 = yes. Value ‘1’ by default.
receiptstringNomaxLength: 8Whether to display the user obtaining receipt entry in the result 0: No display, 1: Display. Default display, support customization.
expireTimestringNomaxLength: 10Define the payment duration in seconds, If the order has not been completed within the duration, it will be closed. Range is 30 minutes to 72 hours.
riskParamsobjectNoRisk control business data,see【Risk Information

Example

json
{
  "merchantId": "SP12345678",
  "bizType": "IN_CB",
  "version": "4.1",
  "sign": "DD6F959727F2724B7FFFE164DFF098F76",
  "orderId": "1535435677359",
  "userId": "ZNW89",
  "subject": "3510 Gigs",
  "countryCode": "IN",
  "currency": "INR",
  "totalAmount": "150.00",
  "frontCallBackUrl": "https://****.com/redirect/developer.html",
  "callbackUrl": "https://****.com/payermax/rechargeNotify",
  "description": "recharge 3510 Gigs",
  "paymentDetail": "{\"paymentMethodType\":\"WELLET\",\"targetOrg\":\"DANA\",\"cardOrg\":\"\",\"paymentType\":\"\",\"accountNo\":\"test@yesbank\",\"email\":\"xxx@gmail.com\"}",
  "userDetail": "{\"name\":\"James\",\"phoneNumber\":\"95562642\"}",
  "reference": "Item157",
  "language": "en",
  "showResult": "1",
  "receipt": "1",
  "expireTime": "1800"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 10Response code
messagestringNomaxLength: 256Response description, interface error prompt.
dataobjectYesResponse body,It consists of common parameters and specific parameters,refer to the below【data parameters】
data.tradeNostringYesmaxLength: 64payermax Platform Order ID.
data.orderIdstringYesmaxLength: 64Merchant Order ID.
data.requestUrlstringYesmaxLength: 1024Jump to the result address.This address is valid for 15 minutes, after which the link fails.
data.statusnumberYesThe order status:0-Pending,1-Success,2-Failed; This parameter shows the current order status. The existing order status will be returned when the request is repeated.
data.signstringYesmaxLength: 64For the MD5 character string signature, see【MD5 signature

Response Example

json
{
  "data": {
    "tradeNo": "TRADE202208150208321114567881",
    "orderId": "1535433516789",
    "requestUrl": "http://cashier-dev.payermax.com/index.html#/paySDKH5/cashierH5?merchantId=SP12345678&token=HrUbWDQke6gjcFp68AW2N7DOOHjb%2F9kh7RkljKNaLR7sgSfxVG5TvBbW89RNX%2ByQIU8P9auBWBCskuJJQxtO9HNZ%2BwhMG8lYR7l12k3%2FLaP%2BxhLEBDOjICucJS1bASn0V&tradeNo=TRADE202208150208321114567881&identifyId=8641054&language=en&usePayResultType=1&frontCallBackUrl=https%3A%2F%2Fxxx.com%2Fredirect%2Fdeveloper.html",
    "status": 0,
    "sign": "DB73C116DE2F220A68BB96542885E188"
  },
  "bizCode": "0000"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.